Package org.apache.sysds.common

# Enum Class Types.OpOp4

java.lang.Object
java.lang.Enum<Types.OpOp4>
org.apache.sysds.common.Types.OpOp4

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOp4>`, `Constable`

Enclosing interface:
  Types

public static enum Types.OpOp4 extends Enum<Types.OpOp4>
Operations that require 4 operands

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`WCEMM`
`WDIVMM`
`WSIGMOID`
`WSLOSS`
`WUMM`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Types.OpOp4`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOp4[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WSLOSS

public static final Types.OpOp4 WSLOSS

### WSIGMOID

public static final Types.OpOp4 WSIGMOID

### WDIVMM

public static final Types.OpOp4 WDIVMM

### WCEMM

public static final Types.OpOp4 WCEMM

### WUMM

public static final Types.OpOp4 WUMM

## Method Details

### values

public static Types.OpOp4[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.OpOp4 valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Types.OpOp4>`